// BeOS BeDaliClock by Abraham Flaxman (bedev@kenlaw.com)
//   Copyright (C) 1996, 1997
//	Revised 6/97 for DR9AA
//	revised 7/97 by AbiSoft for PR
//	
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2, or (at your option)
//   any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 


#pragma once
#include <AppKit.h>
#include <Screen.h>
#include "SmartSingleWindow.h"
#include "BeDaliClockView.h"
#include "Preferences.h"
extern const char *app_signature;
#pragma export on
class MyApplication : public BApplication {
public:
	MyApplication();
	bool	QuitRequested();
		
private:
	char 	StartingColor[64];
	bool	ShowArmyTime;
	bool	ButtonOneSetsDate;
	BeDaliClockView *aView;
	
};
#pragma export off
